/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.hardware.wifi.supplicant;

/**
 * Event codes for auxiliary events that can be generated by
 * the supplicant. This includes events that are not major
 * state changes (e.g. Connected, Disconnected), but that the
 * client may still want to be alerted about.
 */
@VintfStability
@Backing(type="int")
enum AuxiliarySupplicantEventCode {
    EAP_METHOD_SELECTED,
    SSID_TEMP_DISABLED,
    OPEN_SSL_FAILURE
}
